#include "hello.hxx"
#include <iostream>
using namespace std;

int
main (int argc, char* argv[]) {

    // create an object
    string g = "Goedemorgen";
    xsdexample::hello_type h(g);
    h.name().push_back("Jan");
    h.name().push_back("Piet");
    h.name().push_back("Hein");

    // output the object to the standard output iostream
    try {
        // provide a mapping for the namespace we use
        xml_schema::namespace_infomap map;
        map["h"].name = "http://helloworld.org/xsdexample";

        cout << "<?xml version='1.0' encoding='UTF-8' ?>" << endl;
        hello(cout, h, map, "UTF-8", xml_schema::flags::no_xml_declaration);
    } catch (xsd::cxx::tree::no_namespace_mapping<char> e) {
        cerr << e << endl;
    }

    return 0;
}

